// Emacs: -*- C++ -*-

//
//	Copyright 1994, Center for Computer Vision and Visualization,
//	University of Florida.  All rights reserved.
//


//
// $Log: FuncDT.h,v $

#include "FuncNbh.h"

template <class P, class Q>
char IA_FunctionNbh<P,Q>::type_;

template <class P, class Q>
ostream & IA_FunctionNbh<P,Q>::print_this(ostream &o) const {
    o << "Function Neighborhood, f=" << (long)f << endl;
    return o;
}

//
//

template <class P, class Q>
char IA_FunctionRefNbh<P,Q>::type_;

template <class P, class Q>
ostream & IA_FunctionRefNbh<P,Q>::print_this(ostream &o) const {
    o << "FunctionRef Neighborhood, f=" << (long)f << endl;
    return o;
}
